/***********************************************************************
*  Copyright (c) 1996, 1997 Phaos Technology Corp. All rights reserved.
***********************************************************************/

import java.rmi.*;
import java.rmi.server.*;

// Import Phaos SSLava Toolkit APIs
import crysec.*;
import crysec.SSL.*;

// Version of HelloClient that uses SSL
public class SSLHelloClient
{
  public static void main(String arg[])
  {
    try
      {
	// set SSL socket factory
	RMISocketFactory.setSocketFactory(new SSLSocketFactory());
	
	Hello o = (Hello)Naming.lookup("//" + arg[0] + "/HelloServer");
	System.out.println("Message: " + o.sayHello());
      }
    catch (Exception e) {e.printStackTrace();}
  }
}
